summaryrefslogtreecommitdiffstats
path: root/desktop
diff options
context:
space:
mode:
author Dimitris Zlatanidis <d.zlatanidis@gmail.com>2014-04-01 08:00:12 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2014-04-07 14:43:46 +0700
commit50a7ff79667265b9055e4ef114221d4c1a7dc8ef (patch)
tree14a7fbdbb916548e8564b715a564a165d2e3945e /desktop
parent25e28bed1d4e4511d7e9b4cfce82ce3d17b7440d (diff)
downloadslackbuilds-50a7ff79667265b9055e4ef114221d4c1a7dc8ef.tar.gz
slackbuilds-50a7ff79667265b9055e4ef114221d4c1a7dc8ef.tar.xz
desktop/Pulse-Glass: Added (X11 Mouse Theme).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'desktop')
-rw-r--r--desktop/Pulse-Glass/Pulse-Glass.SlackBuild84
-rw-r--r--desktop/Pulse-Glass/Pulse-Glass.info10
-rw-r--r--desktop/Pulse-Glass/README9
-rw-r--r--desktop/Pulse-Glass/slack-desc19
4 files changed, 122 insertions, 0 deletions
diff --git a/desktop/Pulse-Glass/Pulse-Glass.SlackBuild b/desktop/Pulse-Glass/Pulse-Glass.SlackBuild
new file mode 100644
index 0000000000..917b584003
--- /dev/null
+++ b/desktop/Pulse-Glass/Pulse-Glass.SlackBuild
@@ -0,0 +1,84 @@
+#!/bin/sh
+
+# Slackware build script for Pulse-Glass
+
+# Copyright 2014 Dimitris Zlatanidis Greece-Orestiada
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=Pulse-Glass
+SRCNAM=153708-pulse-glass-latest-2
+VERSION=${VERSION:-1.02}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+mkdir -p $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+tar xvf $CWD/$SRCNAM.tar.gz
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p $PKG/usr/share/icons
+cp -rf Pulse-Glass* $PKG/usr/share/icons
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/desktop/Pulse-Glass/Pulse-Glass.info b/desktop/Pulse-Glass/Pulse-Glass.info
new file mode 100644
index 0000000000..debd4142a8
--- /dev/null
+++ b/desktop/Pulse-Glass/Pulse-Glass.info
@@ -0,0 +1,10 @@
+PRGNAM="Pulse-Glass"
+VERSION="1.02"
+HOMEPAGE="http://gnome-look.org"
+DOWNLOAD="http://gnome-look.org/CONTENT/content-files/153708-pulse-glass-latest-2.tar.gz"
+MD5SUM="29691f3120d1cc925bb81dfb6332f936"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Dimitris Zlatanidis"
+EMAIL="d.zlatanidis@gmail.com"
diff --git a/desktop/Pulse-Glass/README b/desktop/Pulse-Glass/README
new file mode 100644
index 0000000000..67705270db
--- /dev/null
+++ b/desktop/Pulse-Glass/README
@@ -0,0 +1,9 @@
+This small derivative collection comprises of Amber, Jade and
+Sapphire (orange,green,blue). Sizes Regular (32px) and Small
+(24px) apply. All versions have uniform hue settings on all
+icons for each set (mouse fuctions).
+6 Mouse themes installed.
+
+NOTE: An easy way to use this theme.
+Create a file .Xdefaults in your home directory an add the following
+example: Xcursor.theme: Pulse-Glass-Sapphire-Small
diff --git a/desktop/Pulse-Glass/slack-desc b/desktop/Pulse-Glass/slack-desc
new file mode 100644
index 0000000000..1501c95827
--- /dev/null
+++ b/desktop/Pulse-Glass/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+Pulse-Glass: Pulse-Glass (X11 Mouse Theme)
+Pulse-Glass:
+Pulse-Glass: This small derivative collection comprises of Amber, Jade and
+Pulse-Glass: Sapphire (orange,green,blue). Sizes Regular (32px) and Small
+Pulse-Glass: (24px) apply. All versions have uniform hue settings on all
+Pulse-Glass: icons for each set (mouse fuctions).
+Pulse-Glass:
+Pulse-Glass: Homepage: http://gnome-look.org
+Pulse-Glass:
+Pulse-Glass:
+Pulse-Glass: